package com.example.venue_reservation_service.service;

import com.example.venue_reservation_service.dto.PageDTO;
import com.example.venue_reservation_service.dto.SensitiveWordDTO;
import com.example.venue_reservation_service.vo.Result;

public interface SensitiveWordService {

    // 获取敏感词数据
    Result getSensitiveWords(PageDTO dto);


    //  添加敏感词
    Result addSensitiveWord(SensitiveWordDTO dto);


    // 更新敏感词

    Result updateSensitiveWord(Integer id, SensitiveWordDTO dto);

    // 移除敏感词
    Result removeSensitiveWord(Integer id);
}
